Create a File Request to a customer or with a public link
POST
/
file-requests
Create File Request
curl --request POST \ --url https://api.mijnklantportaal.nl/v1/file-requests \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "Contract renewal", "requestedFiles": [ { "name": "Logo", "description": "The logo we should put on your website", "required": true, "maxFileSize": 10240 } ], "description": "We need these files to complete your contract renewal", "customerId": "cst_abc123456789", "directoryId": "fsd_abc123456789"}'
import requests
url = "https://api.mijnklantportaal.nl/v1/file-requests"
payload = {
"name": "Contract renewal",
"requestedFiles": [
{
"name": "Logo",
"description": "The logo we should put on your website",
"required": True,
"maxFileSize": 10240
}
],
"description": "We need these files to complete your contract renewal",
"customerId": "cst_abc123456789",
"directoryId": "fsd_abc123456789"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Contract renewal',
requestedFiles: [
{
name: 'Logo',
description: 'The logo we should put on your website',
required: true,
maxFileSize: 10240
}
],
description: 'We need these files to complete your contract renewal',
customerId: 'cst_abc123456789',
directoryId: 'fsd_abc123456789'
})
};
fetch('https://api.mijnklantportaal.nl/v1/file-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mijnklantportaal.nl/v1/file-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Contract renewal',
'requestedFiles' => [
[
'name' => 'Logo',
'description' => 'The logo we should put on your website',
'required' => true,
'maxFileSize' => 10240
]
],
'description' => 'We need these files to complete your contract renewal',
'customerId' => 'cst_abc123456789',
'directoryId' => 'fsd_abc123456789'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mijnklantportaal.nl/v1/file-requests"
payload := strings.NewReader("{\n \"name\": \"Contract renewal\",\n \"requestedFiles\": [\n {\n \"name\": \"Logo\",\n \"description\": \"The logo we should put on your website\",\n \"required\": true,\n \"maxFileSize\": 10240\n }\n ],\n \"description\": \"We need these files to complete your contract renewal\",\n \"customerId\": \"cst_abc123456789\",\n \"directoryId\": \"fsd_abc123456789\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.mijnklantportaal.nl/v1/file-requests")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Contract renewal\",\n \"requestedFiles\": [\n {\n \"name\": \"Logo\",\n \"description\": \"The logo we should put on your website\",\n \"required\": true,\n \"maxFileSize\": 10240\n }\n ],\n \"description\": \"We need these files to complete your contract renewal\",\n \"customerId\": \"cst_abc123456789\",\n \"directoryId\": \"fsd_abc123456789\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.mijnklantportaal.nl/v1/file-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Contract renewal\",\n \"requestedFiles\": [\n {\n \"name\": \"Logo\",\n \"description\": \"The logo we should put on your website\",\n \"required\": true,\n \"maxFileSize\": 10240\n }\n ],\n \"description\": \"We need these files to complete your contract renewal\",\n \"customerId\": \"cst_abc123456789\",\n \"directoryId\": \"fsd_abc123456789\"\n}"
response = http.request(request)
puts response.read_body
{ "id": "frq_abc12345678", "name": "Contract renewal", "description": "We need these files to complete your contract renewal", "directoryId": "fsd_abc123456789", "customerId": "cst_abc123456789", "requestedFiles": [ { "id": "fqf_abc123456789", "name": "Logo", "description": "The logo we should put on your website", "required": true, "maxFileSize": 10240, "uploadedFileId": "fsf_abc123456789" } ], "completedAt": "2024-04-29T21:00:00+02:00", "createdAt": "2024-04-29T21:00:00+02:00", "links": { "customer": { "href": "https://api.mijnklantportaal.nl/v1/customers/cst_abc12345def678", "type": "<string>" }, "publicRequest": { "href": "<string>", "type": "<string>" } }}
{
"message": "<string>"
}
Authorizations
Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
name
string
required
The name of the file request to recognize it in your managing portal
Example:
"Contract renewal"
requestedFiles
object[]
required
An array of file request file data of the files you want to receive. You can request upon 10 files per File Request.
Show child attributes
description
string
An optional description of why you need the file(s). This will be shown to the person uploading the files
Example:
"We need these files to complete your contract renewal"
customerId
string
The ID of the customer you want to request the files from. Omit to generate a public link
Example:
"cst_abc123456789"
directoryId
string
The ID of the directory where the uploaded file(s) should placed it. Omit to place the file(s) in the root of your file system.
Example:
"fsd_abc123456789"
Response
Returning the created File Request
File Request
id
string
ID of the File Share, always starting with frq_.
Example:
"frq_abc12345678"
name
string
The name of the file request to recognize it in your managing portal
Example:
"Contract renewal"
description
string | null
The description of why you need the file(s). This will be shown to the person uploading the files
Example:
"We need these files to complete your contract renewal"
directoryId
string | null
The ID of the directory where the uploaded files should be put it, if set.
Example:
"fsd_abc123456789"
customerId
string | null
The ID of the customer you want to request the files from. Will be null when requested via public link
Example:
"cst_abc123456789"
requestedFiles
object[]
An array of file request data of the files you want to receive. You can request upon 10 files per File Request.
Show child attributes
completedAt
string | null
Date and time when the files in the request were provided. Written in ATOM format. null when the files are not provided yet.
Example:
"2024-04-29T21:00:00+02:00"
createdAt
string
Date and time when the File Request was created. Written in ATOM format.
Example:
"2024-04-29T21:00:00+02:00"
links
object
Show child attributes
⌘I
Create File Request
curl --request POST \ --url https://api.mijnklantportaal.nl/v1/file-requests \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "Contract renewal", "requestedFiles": [ { "name": "Logo", "description": "The logo we should put on your website", "required": true, "maxFileSize": 10240 } ], "description": "We need these files to complete your contract renewal", "customerId": "cst_abc123456789", "directoryId": "fsd_abc123456789"}'
import requests
url = "https://api.mijnklantportaal.nl/v1/file-requests"
payload = {
"name": "Contract renewal",
"requestedFiles": [
{
"name": "Logo",
"description": "The logo we should put on your website",
"required": True,
"maxFileSize": 10240
}
],
"description": "We need these files to complete your contract renewal",
"customerId": "cst_abc123456789",
"directoryId": "fsd_abc123456789"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Contract renewal',
requestedFiles: [
{
name: 'Logo',
description: 'The logo we should put on your website',
required: true,
maxFileSize: 10240
}
],
description: 'We need these files to complete your contract renewal',
customerId: 'cst_abc123456789',
directoryId: 'fsd_abc123456789'
})
};
fetch('https://api.mijnklantportaal.nl/v1/file-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mijnklantportaal.nl/v1/file-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Contract renewal',
'requestedFiles' => [
[
'name' => 'Logo',
'description' => 'The logo we should put on your website',
'required' => true,
'maxFileSize' => 10240
]
],
'description' => 'We need these files to complete your contract renewal',
'customerId' => 'cst_abc123456789',
'directoryId' => 'fsd_abc123456789'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mijnklantportaal.nl/v1/file-requests"
payload := strings.NewReader("{\n \"name\": \"Contract renewal\",\n \"requestedFiles\": [\n {\n \"name\": \"Logo\",\n \"description\": \"The logo we should put on your website\",\n \"required\": true,\n \"maxFileSize\": 10240\n }\n ],\n \"description\": \"We need these files to complete your contract renewal\",\n \"customerId\": \"cst_abc123456789\",\n \"directoryId\": \"fsd_abc123456789\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.mijnklantportaal.nl/v1/file-requests")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Contract renewal\",\n \"requestedFiles\": [\n {\n \"name\": \"Logo\",\n \"description\": \"The logo we should put on your website\",\n \"required\": true,\n \"maxFileSize\": 10240\n }\n ],\n \"description\": \"We need these files to complete your contract renewal\",\n \"customerId\": \"cst_abc123456789\",\n \"directoryId\": \"fsd_abc123456789\"\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.mijnklantportaal.nl/v1/file-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Contract renewal\",\n \"requestedFiles\": [\n {\n \"name\": \"Logo\",\n \"description\": \"The logo we should put on your website\",\n \"required\": true,\n \"maxFileSize\": 10240\n }\n ],\n \"description\": \"We need these files to complete your contract renewal\",\n \"customerId\": \"cst_abc123456789\",\n \"directoryId\": \"fsd_abc123456789\"\n}"
response = http.request(request)
puts response.read_body
{ "id": "frq_abc12345678", "name": "Contract renewal", "description": "We need these files to complete your contract renewal", "directoryId": "fsd_abc123456789", "customerId": "cst_abc123456789", "requestedFiles": [ { "id": "fqf_abc123456789", "name": "Logo", "description": "The logo we should put on your website", "required": true, "maxFileSize": 10240, "uploadedFileId": "fsf_abc123456789" } ], "completedAt": "2024-04-29T21:00:00+02:00", "createdAt": "2024-04-29T21:00:00+02:00", "links": { "customer": { "href": "https://api.mijnklantportaal.nl/v1/customers/cst_abc12345def678", "type": "<string>" }, "publicRequest": { "href": "<string>", "type": "<string>" } }}
{
"message": "<string>"
}
{"docsConfig":{"theme":"almond","$schema":"https://mintlify.com/docs.json","name":"MijnKlantportaal Developer Documentation","colors":{"primary":"#178d72"},"logo":"https://mintcdn.com/mijnklantportaal/StCrkz_ZteapUt2_/logo/logo.png?fit=max\u0026auto=format\u0026n=StCrkz_ZteapUt2_\u0026q=85\u0026s=7dbafcb3f039cd0588cca0061db4a752","favicon":"https://mintcdn.com/mijnklantportaal/StCrkz_ZteapUt2_/icon.png?fit=max\u0026auto=format\u0026n=StCrkz_ZteapUt2_\u0026q=85\u0026s=3f14ee576f7616465c82082b0abfef62","appearance":{"default":"light","strict":true},"navbar":{"links":[{"href":"https://mijnklantportaal.nl/support","label":"Support"}],"primary":{"type":"button","label":"Developer portal","href":"https://developers.mijnklantportaal.nl"}},"fonts":{"heading":{"family":"Bricolage Grotesque","weight":700},"body":{"family":"Bricolage Grotesque","weight":400}},"styling":{"eyebrows":"breadcrumbs","latex":false},"navigation":{"global":{"anchors":[{"anchor":"Changelog","icon":"rocket","href":"https://mijnklantportaal.canny.io/changelog"},{"anchor":"System status","icon":"list-check","href":"https://status.mijnklantportaal.nl"},{"anchor":"Feature requests","icon":"lightbulb","href":"https://mijnklantportaal.canny.io/feature-requests"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"mijnklantportaal","hasAudioNarration":false,"actualSubdomain":"mijnklantportaal","customDomains":["docs.developers.mijnklantportaal.nl"],"gitSource":{"type":"github","owner":"rjong","repo":"mkp-api-docs","deployBranch":"master","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae3be821a9929886d3f94e5","clientVersion":"0.0.4177","searchFilterCounts":[{"language":"default","tag":"API reference","count":95},{"language":"default","tag":"API v1","count":95},{"language":"default","tag":"Guides","count":11},{"language":"default","tag":"Punch Cards API","count":9},{"language":"default","tag":"Customer Groups API","count":8},{"language":"default","tag":"Customer Invoices API","count":7},{"language":"default","tag":"Customer Offers API","count":7},{"language":"default","tag":"Customer Subscription Packages API","count":7},{"language":"default","tag":"Customers API","count":7},{"language":"default","tag":"Agreements API","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/file-request-api/create-file-request","slug":"/api-reference/file-request-api/create-file-request","pageMetadata":{"title":"Create File Request","description":"Create a File Request to a customer or with a public link","deprecated":null,"version":null,"openapi":"/openapi.yaml post /file-requests","href":"/api-reference/file-request-api/create-file-request","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create a File Request to a customer or with a public link\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create File Request","description":"Create a File Request to a customer or with a public link","deprecated":null,"version":null,"openapi":"/openapi.yaml post /file-requests","href":"/api-reference/file-request-api/create-file-request","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Create File Request","description":"Create a File Request to a customer or with a public link","operationId":"create-file-request","tags":["File Request API"],"requestBody":"4e19b73c-b6b6-4ab2-99ea-d6f2f0d888ce","responses":{"201":"b6c0dbaa-522a-4d38-aea9-085be83d9d9e","422":"8561ef92-159b-46bf-afa1-e7c1d1fb5e32"},"method":"post","type":"path","servers":["70490c00-3af2-45e0-b257-20c8fa78c880"],"security":["c09aaa16-91cc-495d-baf2-f4d5eb3eaeeb"],"path":"/file-requests","baseUrlOptions":["https://api.mijnklantportaal.nl/v1"],"title":"Create File Request","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["name","requestedFiles"],"properties":{"name":{"type":"string","example":"Contract renewal","description":"The name of the file request to recognize it in your managing portal","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"requestedFiles":{"type":"array","description":"An array of file request file data of the files you want to receive. You can request upon 10 files per File Request.","items":{"type":"object","required":["name"],"properties":{"name":{"type":"string","example":"Logo","description":"Name of the file you request","isRequired":true,"uniqueKey":"requestedFiles.items.[INDEX].name","typeLabel":"string"},"description":{"type":"string","example":"The logo we should put on your website","description":"The (optional) description to show with the upload field","uniqueKey":"requestedFiles.items.[INDEX].description","typeLabel":"string"},"required":{"type":"boolean","description":"Indicates if the file is required to upload","uniqueKey":"requestedFiles.items.[INDEX].required","typeLabel":"boolean"},"maxFileSize":{"type":"integer","example":10240,"description":"The maximum file size in bytes allowed to upload","uniqueKey":"requestedFiles.items.[INDEX].maxFileSize","typeLabel":"integer"}},"uniqueKey":"requestedFiles.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"requestedFiles","typeLabel":"object[]"},"description":{"type":"string","example":"We need these files to complete your contract renewal","description":"An optional description of why you need the file(s). This will be shown to the person uploading the files","uniqueKey":"description","typeLabel":"string"},"customerId":{"type":"string","example":"cst_abc123456789","description":"The ID of the customer you want to request the files from. Omit to generate a public link","uniqueKey":"customerId","typeLabel":"string"},"directoryId":{"type":"string","example":"fsd_abc123456789","description":"The ID of the directory where the uploaded file(s) should placed it. Omit to place the file(s) in the root of your file system.","uniqueKey":"directoryId","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"Contract renewal","requestedFiles":[{"name":"Logo","description":"The logo we should put on your website","required":true,"maxFileSize":10240}],"description":"We need these files to complete your contract renewal","customerId":"cst_abc123456789","directoryId":"fsd_abc123456789"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"b6c0dbaa-522a-4d38-aea9-085be83d9d9e":{"description":"Returning the created File Request","content":{"application/json":{"schema":{"type":"object","description":"File Request","properties":{"id":{"type":"string","example":"frq_abc12345678","description":"ID of the File Share, always starting with `frq_`.","uniqueKey":"id","typeLabel":"string"},"name":{"type":"string","example":"Contract renewal","description":"The name of the file request to recognize it in your managing portal","uniqueKey":"name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","example":"We need these files to complete your contract renewal","description":"The description of why you need the file(s). This will be shown to the person uploading the files","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"null","example":"We need these files to complete your contract renewal","description":"The description of why you need the file(s). This will be shown to the person uploading the files","uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"directoryId":{"oneOf":[{"type":"string","example":"fsd_abc123456789","description":"The ID of the directory where the uploaded files should be put it, if set.","uniqueKey":"directoryId.oneOf.0","typeLabel":"string"},{"type":"null","example":"fsd_abc123456789","description":"The ID of the directory where the uploaded files should be put it, if set.","uniqueKey":"directoryId.oneOf.1","typeLabel":"null"}],"uniqueKey":"directoryId","typeLabel":"string | null"},"customerId":{"oneOf":[{"type":"string","example":"cst_abc123456789","description":"The ID of the customer you want to request the files from. Will be `null` when requested via public link","uniqueKey":"customerId.oneOf.0","typeLabel":"string"},{"type":"null","example":"cst_abc123456789","description":"The ID of the customer you want to request the files from. Will be `null` when requested via public link","uniqueKey":"customerId.oneOf.1","typeLabel":"null"}],"uniqueKey":"customerId","typeLabel":"string | null"},"requestedFiles":{"type":"array","description":"An array of file request data of the files you want to receive. You can request upon 10 files per File Request.","items":{"type":"object","properties":{"id":{"type":"string","example":"fqf_abc123456789","description":"ID of the File Request File","uniqueKey":"requestedFiles.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","example":"Logo","description":"Name of the file you request","uniqueKey":"requestedFiles.items.[INDEX].name","typeLabel":"string"},"description":{"oneOf":[{"type":"string","example":"The logo we should put on your website","description":"The (optional) description to show with the upload field","uniqueKey":"requestedFiles.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","example":"The logo we should put on your website","description":"The (optional) description to show with the upload field","uniqueKey":"requestedFiles.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"requestedFiles.items.[INDEX].description","typeLabel":"string | null"},"required":{"type":"boolean","example":true,"description":"Indicates if the file is required to upload","uniqueKey":"requestedFiles.items.[INDEX].required","typeLabel":"boolean"},"maxFileSize":{"type":"integer","example":10240,"description":"The maximum file size in bytes allowed to upload","uniqueKey":"requestedFiles.items.[INDEX].maxFileSize","typeLabel":"integer"},"uploadedFileId":{"oneOf":[{"type":"string","example":"fsf_abc123456789","description":"ID of the file in the file system after uploading.","uniqueKey":"requestedFiles.items.[INDEX].uploadedFileId.oneOf.0","typeLabel":"string"},{"type":"null","example":"fsf_abc123456789","description":"ID of the file in the file system after uploading.","uniqueKey":"requestedFiles.items.[INDEX].uploadedFileId.oneOf.1","typeLabel":"null"}],"uniqueKey":"requestedFiles.items.[INDEX].uploadedFileId","typeLabel":"string | null"}},"uniqueKey":"requestedFiles.items.[INDEX]","typeLabel":"object"},"uniqueKey":"requestedFiles","typeLabel":"object[]"},"completedAt":{"oneOf":[{"type":"string","example":"2024-04-29T21:00:00+02:00","description":"Date and time when the files in the request were provided. Written in ATOM format. `null` when the files are not provided yet.","uniqueKey":"completedAt.oneOf.0","typeLabel":"string"},{"type":"null","example":"2024-04-29T21:00:00+02:00","description":"Date and time when the files in the request were provided. Written in ATOM format. `null` when the files are not provided yet.","uniqueKey":"completedAt.oneOf.1","typeLabel":"null"}],"uniqueKey":"completedAt","typeLabel":"string | null"},"createdAt":{"type":"string","example":"2024-04-29T21:00:00+02:00","description":"Date and time when the File Request was created. Written in ATOM format.","uniqueKey":"createdAt","typeLabel":"string"},"links":{"type":"object","properties":{"customer":{"oneOf":[{"type":"object","description":"Only available if requested from a Customer","properties":{"href":{"type":"string","description":"Endpoint to the Get Customer API","example":"https://api.mijnklantportaal.nl/v1/customers/cst_abc12345def678","uniqueKey":"links.customer.oneOf.0.href","typeLabel":"string"},"type":{"type":"string","description":"Type of the content the endpoint will return","uniqueKey":"links.customer.oneOf.0.type","typeLabel":"string"}},"uniqueKey":"links.customer.oneOf.0","typeLabel":"object"},{"type":"null","description":"Only available if requested from a Customer","properties":{"href":{"type":"string","description":"Endpoint to the Get Customer API","example":"https://api.mijnklantportaal.nl/v1/customers/cst_abc12345def678"},"type":{"type":"string","description":"Type of the content the endpoint will return"}},"uniqueKey":"links.customer.oneOf.1","typeLabel":"null"}],"uniqueKey":"links.customer","typeLabel":"object | null"},"publicRequest":{"oneOf":[{"type":"object","description":"Only available if requested via a public link","properties":{"href":{"type":"string","description":"Endpoint to the webpage with the form to upload the files","uniqueKey":"links.publicRequest.oneOf.0.href","typeLabel":"string"},"type":{"type":"string","description":"Type of the content the endpoint will return","uniqueKey":"links.publicRequest.oneOf.0.type","typeLabel":"string"}},"uniqueKey":"links.publicRequest.oneOf.0","typeLabel":"object"},{"type":"null","description":"Only available if requested via a public link","properties":{"href":{"type":"string","description":"Endpoint to the webpage with the form to upload the files"},"type":{"type":"string","description":"Type of the content the endpoint will return"}},"uniqueKey":"links.publicRequest.oneOf.1","typeLabel":"null"}],"uniqueKey":"links.publicRequest","typeLabel":"object | null"}},"uniqueKey":"links","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"frq_abc12345678","name":"Contract renewal","description":"We need these files to complete your contract renewal","directoryId":"fsd_abc123456789","customerId":"cst_abc123456789","requestedFiles":[{"id":"fqf_abc123456789","name":"Logo","description":"The logo we should put on your website","required":true,"maxFileSize":10240,"uploadedFileId":"fsf_abc123456789"}],"completedAt":"2024-04-29T21:00:00+02:00","createdAt":"2024-04-29T21:00:00+02:00","links":{"customer":{"href":"https://api.mijnklantportaal.nl/v1/customers/cst_abc12345def678","type":"\u003cstring>"},"publicRequest":{"href":"\u003cstring>","type":"\u003cstring>"}}}}},"exampleType":"generated"}},"exampleType":"generated"},"8561ef92-159b-46bf-afa1-e7c1d1fb5e32":{"description":"Something is wrong with the posted data","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Explanation what went wrong","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"c09aaa16-91cc-495d-baf2-f4d5eb3eaeeb":{"APIKey":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"APIKey"}}},"servers":{"70490c00-3af2-45e0-b257-20c8fa78c880":{"url":"https://api.mijnklantportaal.nl/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"APIKey"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"APIKey","name":"Authorization"}],"title":"APIKey"}]},"originalFileLocation":"openapi.yaml"},"subdomain":"mijnklantportaal","siteName":"MijnKlantportaal Developer Documentation","title":"Create File Request - MijnKlantportaal Developer Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-29T21:40:30.797Z","originalFileLocation":"api-reference/file-request-api/create-file-request.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"light\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a File Request to a customer or with a public link\">\u003cmeta data-mint-head name=\"application-name\" content=\"MijnKlantportaal Developer Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mijnklantportaal/GXy70_whlLHLZUmw/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/mijnklantportaal/GXy70_whlLHLZUmw/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mijnklantportaal/GXy70_whlLHLZUmw/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mijnklantportaal/GXy70_whlLHLZUmw/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mijnklantportaal/GXy70_whlLHLZUmw/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mijnklantportaal/GXy70_whlLHLZUmw/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mijnklantportaal/GXy70_whlLHLZUmw/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mijnklantportaal/GXy70_whlLHLZUmw/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mijnklantportaal/GXy70_whlLHLZUmw/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create File Request - MijnKlantportaal Developer Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a File Request to a customer or with a public link\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"MijnKlantportaal Developer Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.developers.mijnklantportaal.nl/api-reference/file-request-api/create-file-request\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://mijnklantportaal.mintlify.site/_mintlify/api/og/v2?division=File+Request+API\u0026amp;title=Create+File+Request\u0026amp;description=Create+a+File+Request+to+a+customer+or+with+a+public+link\u0026amp;theme=19472da22d2100b8d78c1332\u0026amp;signature=0d964c25d7775563e800e4f46dc7a18859be85b2c1f4d7991ad09ad213f2ecf2\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create File Request - MijnKlantportaal Developer Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a File Request to a customer or with a public link\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://mijnklantportaal.mintlify.site/_mintlify/api/og/v2?division=File+Request+API\u0026amp;title=Create+File+Request\u0026amp;description=Create+a+File+Request+to+a+customer+or+with+a+public+link\u0026amp;theme=19472da22d2100b8d78c1332\u0026amp;signature=0d964c25d7775563e800e4f46dc7a18859be85b2c1f4d7991ad09ad213f2ecf2\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/mijnklantportaal/GXy70_whlLHLZUmw/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"MijnKlantportaal Developer Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#178d72\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.developers.mijnklantportaal.nl/api-reference/file-request-api/create-file-request\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/file-request-api/create-file-request.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.developers.mijnklantportaal.nl/#organization\",\"name\":\"MijnKlantportaal Developer Documentation\",\"url\":\"https://docs.developers.mijnklantportaal.nl\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/mijnklantportaal/StCrkz_ZteapUt2_/logo/logo.png?fit=max\u0026auto=format\u0026n=StCrkz_ZteapUt2_\u0026q=85\u0026s=7dbafcb3f039cd0588cca0061db4a752\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.developers.mijnklantportaal.nl#website\",\"name\":\"MijnKlantportaal Developer Documentation\",\"url\":\"https://docs.developers.mijnklantportaal.nl\",\"publisher\":{\"@id\":\"https://docs.developers.mijnklantportaal.nl/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.developers.mijnklantportaal.nl/api-reference/file-request-api/create-file-request#webpage\",\"url\":\"https://docs.developers.mijnklantportaal.nl/api-reference/file-request-api/create-file-request\",\"name\":\"Create File Request\",\"description\":\"Create a File Request to a customer or with a public link\",\"dateModified\":\"2026-10-29T21:40:30.797Z\",\"isPartOf\":{\"@id\":\"https://docs.developers.mijnklantportaal.nl#website\"},\"breadcrumb\":{\"@id\":\"https://docs.developers.mijnklantportaal.nl/api-reference/file-request-api/create-file-request#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.developers.mijnklantportaal.nl/api-reference/file-request-api/create-file-request#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API v1\",\"item\":\"https://docs.developers.mijnklantportaal.nl/api-reference/agreements-api/list-agreements\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"File Request API\",\"item\":\"https://docs.developers.mijnklantportaal.nl/api-reference/file-request-api/list-file-requests\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create File Request\",\"item\":\"https://docs.developers.mijnklantportaal.nl/api-reference/file-request-api/create-file-request\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.developers.mijnklantportaal.nl/api-reference/file-request-api/create-file-request#apireference\",\"headline\":\"Create File Request\",\"name\":\"Create File Request\",\"description\":\"Create a File Request to a customer or with a public link\",\"url\":\"https://docs.developers.mijnklantportaal.nl/api-reference/file-request-api/create-file-request\",\"mainEntityOfPage\":{\"@id\":\"https://docs.developers.mijnklantportaal.nl/api-reference/file-request-api/create-file-request#webpage\"},\"dateModified\":\"2026-10-29T21:40:30.797Z\",\"publisher\":{\"@id\":\"https://docs.developers.mijnklantportaal.nl/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.developers.mijnklantportaal.nl#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"MijnKlantportaal Developer Documentation\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"MijnKlantportaal Developer Documentation\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/file-request-api/create-file-request.md","siteName":"MijnKlantportaal Developer Documentation","nav":{"global":{"anchors":[{"anchor":"Changelog","icon":"rocket","href":"https://mijnklantportaal.canny.io/changelog"},{"anchor":"System status","icon":"list-check","href":"https://status.mijnklantportaal.nl"},{"anchor":"Feature requests","icon":"lightbulb","href":"https://mijnklantportaal.canny.io/feature-requests"}]},"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":""}]},{"tab":"API reference","groups":[{"group":"API v1","pages":[{"group":"Agreements API","pages":[{"title":"List Agreements","deprecated":null,"version":null,"openapi":"/openapi.yaml get /agreements","href":"/api-reference/agreements-api/list-agreements"},{"title":"Create agreement","deprecated":null,"version":null,"openapi":"/openapi.yaml post /agreements","href":"/api-reference/agreements-api/create-agreement"},{"title":"Get Agreement","deprecated":null,"version":null,"openapi":"/openapi.yaml get /agreements/{agreementId}","href":"/api-reference/agreements-api/get-agreement"},{"title":"Delete Agreement","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /agreements/{agreementId}","href":"/api-reference/agreements-api/delete-agreement"},{"title":"Download Legal Statement for Agreement","deprecated":null,"version":null,"openapi":"/openapi.yaml get /agreements/{agreementId}/documents/legal-statement/download","href":"/api-reference/agreements-api/download-legal-statement-for-agreement"},{"title":"Download Agreement document","deprecated":null,"version":null,"openapi":"/openapi.yaml get /agreements/{agreementId}/documents/{documentId}/download","href":"/api-reference/agreements-api/download-agreement-document"}]},{"group":"Appointments API","pages":[{"title":"List Appointments","deprecated":null,"version":null,"openapi":"/openapi.yaml get /appointments","href":"/api-reference/appointments-api/list-appointments"},{"title":"Schedule Appointment","deprecated":null,"version":null,"openapi":"/openapi.yaml post /appointments","href":"/api-reference/appointments-api/schedule-appointment"},{"title":"Get Appointment","deprecated":null,"version":null,"openapi":"/openapi.yaml get /appointments/{appointmentId}","href":"/api-reference/appointments-api/get-appointment"},{"title":"Cancel appointment","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /appointments/{appointmentId}","href":"/api-reference/appointments-api/cancel-appointment"},{"title":"Change appointment status","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /appointments/{appointmentId}","href":"/api-reference/appointments-api/change-appointment-status"},{"title":"Get AI summary of Appointment","deprecated":null,"version":null,"openapi":"/openapi.yaml get /appointments/{appointmentId}/summary","href":"/api-reference/appointments-api/get-ai-summary-of-appointment"}]},{"group":"Customers API","pages":[{"title":"List Customers","deprecated":null,"version":null,"openapi":"/openapi.yaml get /customers","href":"/api-reference/customers-api/list-customers"},{"title":"Create Customer","deprecated":null,"version":null,"openapi":"/openapi.yaml post /customers","href":"/api-reference/customers-api/create-customer"},{"title":"Get Customer","deprecated":null,"version":null,"openapi":"/openapi.yaml get /customers/{customerId}","href":"/api-reference/customers-api/get-customer"},{"title":"Delete customer","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /customers/{customerId}","href":"/api-reference/customers-api/delete-customer"},{"title":"Edit Customer","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /customers/{customerId}","href":"/api-reference/customers-api/edit-customer"},{"title":"Link Customer","deprecated":null,"version":null,"openapi":"/openapi.yaml post /customers/{customerId}/link","href":"/api-reference/customers-api/link-customer"},{"title":"Unlink Customer","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /customers/{customerId}/link","href":"/api-reference/customers-api/unlink-customer"}]},{"group":"Customer Groups API","pages":[{"title":"List Customer Groups","deprecated":null,"version":null,"openapi":"/openapi.yaml get /customer-groups","href":"/api-reference/customer-groups-api/list-customer-groups"},{"title":"Create Customer Group","deprecated":null,"version":null,"openapi":"/openapi.yaml post /customer-groups","href":"/api-reference/customer-groups-api/create-customer-group"},{"title":"Get Customer Group","deprecated":null,"version":null,"openapi":"/openapi.yaml get /customer-groups/{customerGroupId}","href":"/api-reference/customer-groups-api/get-customer-group"},{"title":"Delete customer group","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /customer-groups/{customerGroupId}","href":"/api-reference/customer-groups-api/delete-customer-group"},{"title":"Edit Customer Group","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /customer-groups/{customerGroupId}","href":"/api-reference/customer-groups-api/edit-customer-group"},{"title":"List Customers in Customer Group","deprecated":null,"version":null,"openapi":"/openapi.yaml get /customer-groups/{customerGroupId}/customers","href":"/api-reference/customer-groups-api/list-customers-in-customer-group"},{"title":"Add Customers to Customer Group","deprecated":null,"version":null,"openapi":"/openapi.yaml post /customer-groups/{customerGroupId}/customers","href":"/api-reference/customer-groups-api/add-customers-to-customer-group"},{"title":"Remove Customers from the Customer Group","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /customer-groups/{customerGroupId}/customers","href":"/api-reference/customer-groups-api/remove-customers-from-the-customer-group"}]},{"group":"Customer Invoices API","pages":[{"title":"List Customer Invoices","deprecated":null,"version":null,"openapi":"/openapi.yaml get /customer-invoices","href":"/api-reference/customer-invoices-api/list-customer-invoices"},{"title":"Create Customer Invoice","deprecated":null,"version":null,"openapi":"/openapi.yaml post /customer-invoices","href":"/api-reference/customer-invoices-api/create-customer-invoice"},{"title":"Create manual Customer Invoice","deprecated":null,"version":null,"openapi":"/openapi.yaml post /customer-invoices/manual","href":"/api-reference/customer-invoices-api/create-manual-customer-invoice"},{"title":"Get Customer Invoice","deprecated":null,"version":null,"openapi":"/openapi.yaml get /customer-invoices/{invoiceId}","href":"/api-reference/customer-invoices-api/get-customer-invoice"},{"title":"Delete Customer Invoice","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /customer-invoices/{invoiceId}","href":"/api-reference/customer-invoices-api/delete-customer-invoice"},{"title":"Mark Customer Invoice paid","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /customer-invoices/{invoiceId}","href":"/api-reference/customer-invoices-api/mark-customer-invoice-paid"},{"title":"Get Customer Invoice as PDF","deprecated":null,"version":null,"openapi":"/openapi.yaml get /customer-invoices/{invoiceId}/pdf","href":"/api-reference/customer-invoices-api/get-customer-invoice-as-pdf"}]},{"group":"Customer Offers API","pages":[{"title":"List Customer Offers","deprecated":null,"version":null,"openapi":"/openapi.yaml get /customer-offers","href":"/api-reference/customer-offers-api/list-customer-offers"},{"title":"Create Customer Offer","deprecated":null,"version":null,"openapi":"/openapi.yaml post /customer-offers","href":"/api-reference/customer-offers-api/create-customer-offer"},{"title":"Create manual Customer Offer","deprecated":null,"version":null,"openapi":"/openapi.yaml post /customer-offers/manual","href":"/api-reference/customer-offers-api/create-manual-customer-offer"},{"title":"Get Customer Offer","deprecated":null,"version":null,"openapi":"/openapi.yaml get /customer-offers/{offerId}","href":"/api-reference/customer-offers-api/get-customer-offer"},{"title":"Delete Customer Offer","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /customer-offers/{offerId}","href":"/api-reference/customer-offers-api/delete-customer-offer"},{"title":"Mark Customer Offer accepted or rejected","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /customer-offers/{offerId}","href":"/api-reference/customer-offers-api/mark-customer-offer-accepted-or-rejected"},{"title":"Get Customer Offer as PDF","deprecated":null,"version":null,"openapi":"/openapi.yaml get /customer-offers/{offerId}/pdf","href":"/api-reference/customer-offers-api/get-customer-offer-as-pdf"}]},{"group":"Customer Subscriptions API","pages":[{"title":"List Customer Subscriptions","deprecated":null,"version":null,"openapi":"/openapi.yaml get /customer-subscriptions","href":"/api-reference/customer-subscriptions-api/list-customer-subscriptions"},{"title":"Create Customer Subscription","deprecated":null,"version":null,"openapi":"/openapi.yaml post /customer-subscriptions","href":"/api-reference/customer-subscriptions-api/create-customer-subscription"},{"title":"Get Customer Subscription","deprecated":null,"version":null,"openapi":"/openapi.yaml get /customer-subscriptions/{subscriptionId}","href":"/api-reference/customer-subscriptions-api/get-customer-subscription"},{"title":"Delete Customer Subscription","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /customer-subscriptions/{subscriptionId}","href":"/api-reference/customer-subscriptions-api/delete-customer-subscription"},{"title":"Change Customer Subscription","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /customer-subscriptions/{subscriptionId}","href":"/api-reference/customer-subscriptions-api/change-customer-subscription"}]},{"group":"Customer Subscription Packages API","pages":[{"title":"List Customer Subscription packages","deprecated":null,"version":null,"openapi":"/openapi.yaml get /customer-subscription-packages","href":"/api-reference/customer-subscription-packages-api/list-customer-subscription-packages"},{"title":"Create Customer Subscription Package","deprecated":null,"version":null,"openapi":"/openapi.yaml post /customer-subscription-packages","href":"/api-reference/customer-subscription-packages-api/create-customer-subscription-package"},{"title":"Get Customer Subscription Package","deprecated":null,"version":null,"openapi":"/openapi.yaml get /customer-subscription-packages/{packageId}","href":"/api-reference/customer-subscription-packages-api/get-customer-subscription-package"},{"title":"Delete Customer Subscription Package","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /customer-subscription-packages/{packageId}","href":"/api-reference/customer-subscription-packages-api/delete-customer-subscription-package"},{"title":"Change Customer Subscription Package","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /customer-subscription-packages/{packageId}","href":"/api-reference/customer-subscription-packages-api/change-customer-subscription-package"},{"title":"Sign-up a customer for a Customer Subscription Package","deprecated":null,"version":null,"openapi":"/openapi.yaml post /customer-subscription-packages/{packageId}/sign-up","href":"/api-reference/customer-subscription-packages-api/sign-up-a-customer-for-a-customer-subscription-package"},{"title":"Sign-up a non-customer for a Customer Subscription Package","deprecated":null,"version":null,"openapi":"/openapi.yaml post /customer-subscription-packages/{packageId}/sign-up/","href":"/api-reference/customer-subscription-packages-api/sign-up-a-non-customer-for-a-customer-subscription-package"}]},{"group":"Files API","pages":[{"title":"List Files and Directories","deprecated":null,"version":null,"openapi":"/openapi.yaml get /files","href":"/api-reference/files-api/list-files-and-directories"},{"title":"Uploading a file or creating a directory","deprecated":null,"version":null,"openapi":"/openapi.yaml post /files","href":"/api-reference/files-api/uploading-a-file-or-creating-a-directory"},{"title":"Get File or Directory","deprecated":null,"version":null,"openapi":"/openapi.yaml get /files/{fileOrDirId}","href":"/api-reference/files-api/get-file-or-directory"},{"title":"Delete File or Directory","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /files/{fileOrDirId}","href":"/api-reference/files-api/delete-file-or-directory"},{"title":"Download file","deprecated":null,"version":null,"openapi":"/openapi.yaml get /files/{fileId}/download","href":"/api-reference/files-api/download-file"}]},{"group":"File Request API","pages":[{"title":"List File Requests","description":"Getting all your File Request entities as paginated response","deprecated":null,"version":null,"openapi":"/openapi.yaml get /file-requests","href":"/api-reference/file-request-api/list-file-requests"},{"title":"Create File Request","deprecated":null,"version":null,"openapi":"/openapi.yaml post /file-requests","href":"/api-reference/file-request-api/create-file-request"},{"title":"Get File Request","description":"Get a specific File Request","deprecated":null,"version":null,"openapi":"/openapi.yaml get /file-requests/{requestId}","href":"/api-reference/file-request-api/get-file-request"},{"title":"Delete File Request","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /file-requests/{requestId}","href":"/api-reference/file-request-api/delete-file-request"}]},{"group":"File Share API","pages":[{"title":"List File Shares","deprecated":null,"version":null,"openapi":"/openapi.yaml get /file-shares","href":"/api-reference/file-share-api/list-file-shares"},{"title":"Create File Share","deprecated":null,"version":null,"openapi":"/openapi.yaml post /file-shares","href":"/api-reference/file-share-api/create-file-share"},{"title":"Get File Share","deprecated":null,"version":null,"openapi":"/openapi.yaml get /file-shares/{shareId}","href":"/api-reference/file-share-api/get-file-share"},{"title":"Delete File Share","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /file-shares/{shareId}","href":"/api-reference/file-share-api/delete-file-share"}]},{"group":"Invoices API","pages":[{"title":"List MijnKlantportaal invoices","deprecated":null,"version":null,"openapi":"/openapi.yaml get /invoices","href":"/api-reference/invoices-api/list-mijnklantportaal-invoices"},{"title":"Get MijnKlantportaal Invoice","deprecated":null,"version":null,"openapi":"/openapi.yaml get /invoices/{invoiceId}","href":"/api-reference/invoices-api/get-mijnklantportaal-invoice"},{"title":"Get PDF for MijnKlantportaal Invoice","deprecated":null,"version":null,"openapi":"/openapi.yaml get /invoices/{invoiceId}/pdf","href":"/api-reference/invoices-api/get-pdf-for-mijnklantportaal-invoice"}]},{"group":"Me API","pages":[{"title":"Get information from token","deprecated":null,"version":null,"openapi":"/openapi.yaml get /me","href":"/api-reference/me-api/get-information-from-token"}]},{"group":"Payment Links API","pages":[{"title":"List Payment Links","deprecated":null,"version":null,"openapi":"/openapi.yaml get /payment-links","href":"/api-reference/payment-links-api/list-payment-links"},{"title":"Create Payment Link","deprecated":null,"version":null,"openapi":"/openapi.yaml post /payment-links","href":"/api-reference/payment-links-api/create-payment-link"},{"title":"Get Payment Link","deprecated":null,"version":null,"openapi":"/openapi.yaml get /payment-links/{linkId}","href":"/api-reference/payment-links-api/get-payment-link"},{"title":"Close Payment Link","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /payment-links/{linkId}","href":"/api-reference/payment-links-api/close-payment-link"},{"title":"List Payment Link Payments","deprecated":null,"version":null,"openapi":"/openapi.yaml get /payment-links/{linkId}/payments","href":"/api-reference/payment-links-api/list-payment-link-payments"}]},{"group":"Punch Cards API","pages":[{"title":"List Punch Cards","deprecated":null,"version":null,"openapi":"/openapi.yaml get /punch-cards","href":"/api-reference/punch-cards-api/list-punch-cards"},{"title":"Create Punch Card","deprecated":null,"version":null,"openapi":"/openapi.yaml post /punch-cards","href":"/api-reference/punch-cards-api/create-punch-card"},{"title":"Get Punch Card","deprecated":null,"version":null,"openapi":"/openapi.yaml get /punch-cards/{punchCardId}","href":"/api-reference/punch-cards-api/get-punch-card"},{"title":"Delete Punch Card","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /punch-cards/{punchCardId}","href":"/api-reference/punch-cards-api/delete-punch-card"},{"title":"Edit Punch Card","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /punch-cards/{punchCardId}","href":"/api-reference/punch-cards-api/edit-punch-card"},{"title":"List issued cards for Punch Card","deprecated":null,"version":null,"openapi":"/openapi.yaml get /punch-cards/{punchCardId}/issued","href":"/api-reference/punch-cards-api/list-issued-cards-for-punch-card"},{"title":"Issue new Punch Card","deprecated":null,"version":null,"openapi":"/openapi.yaml post /punch-cards/{punchCardId}/issued","href":"/api-reference/punch-cards-api/issue-new-punch-card"},{"title":"Get an issued Punch Card","deprecated":null,"version":null,"openapi":"/openapi.yaml get /punch-cards/{punchCardId}/issued/{issuedPunchCardId}","href":"/api-reference/punch-cards-api/get-an-issued-punch-card"},{"title":"Stamp an issued Punch Card","deprecated":null,"version":null,"openapi":"/openapi.yaml post /punch-cards/{punchCardId}/issued/{issuedPunchCardId}/stamp","href":"/api-reference/punch-cards-api/stamp-an-issued-punch-card"}]},{"group":"Referral API","pages":[{"title":"Get Referral information","deprecated":null,"version":null,"openapi":"/openapi.yaml get /referral","href":"/api-reference/referral-api/get-referral-information"}]},{"group":"Tickets API","pages":[{"title":"List ticket records","deprecated":null,"version":null,"openapi":"/openapi.yaml get /tickets","href":"/api-reference/tickets-api/list-ticket-records"},{"title":"Get Ticket record","deprecated":null,"version":null,"openapi":"/openapi.yaml get /tickets/{ticketId}","href":"/api-reference/tickets-api/get-ticket-record"},{"title":"Add message to the ticket","deprecated":null,"version":null,"openapi":"/openapi.yaml post /tickets/{ticketId}","href":"/api-reference/tickets-api/add-message-to-the-ticket"},{"title":"Close the ticket","deprecated":null,"version":null,"openapi":"/openapi.yaml patch /tickets/{ticketId}","href":"/api-reference/tickets-api/close-the-ticket"},{"title":"Upload attachment to Ticket message","deprecated":null,"version":null,"openapi":"/openapi.yaml post /tickets/{ticketId}/message/{messageId}/attachment","href":"/api-reference/tickets-api/upload-attachment-to-ticket-message"},{"title":"Download Ticket message attachment","deprecated":null,"version":null,"openapi":"/openapi.yaml get /tickets/{ticketId}/message/{messageId}/attachment/{attachmentId}/download","href":"/api-reference/tickets-api/download-ticket-message-attachment"}]},{"group":"Webhooks API","pages":[{"title":"List Webhook records","deprecated":null,"version":null,"openapi":"/openapi.yaml get /webhooks","href":"/api-reference/webhooks-api/list-webhook-records"},{"title":"Create Webhook record","deprecated":null,"version":null,"openapi":"/openapi.yaml post /webhooks","href":"/api-reference/webhooks-api/create-webhook-record"},{"title":"Get Webhook record","deprecated":null,"version":null,"openapi":"/openapi.yaml get /webhooks/{webhookId}","href":"/api-reference/webhooks-api/get-webhook-record"},{"title":"Remove Webhook record","deprecated":null,"version":null,"openapi":"/openapi.yaml delete /webhooks/{webhookId}","href":"/api-reference/webhooks-api/remove-webhook-record"}]}]}]}]},"basePath":"","title":"Create File Request - MijnKlantportaal Developer Documentation","deploymentId":"dpl_HhUetB7eHHDAmK9T1Teip38TgFx9","buildId":"dpl_HhUetB7eHHDAmK9T1Teip38TgFx9","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-jJHA3WSo.js","utils-DbZn3Mjn.js","cloneDeep-CnBnaSyy.js","_Uint8Array-CMQtTgBR.js","isObject-FP1Yky1u.js","utils-Bl2DvzOJ.js","addUniqueKeysToSchema-BwOLo9p1.js","snippetPresets-BBiPpKa-.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","Page-DRLI_2Ue.js","ApiExamples-C0px4Tml.js","isEqual-zAyttAAO.js","usePlaygroundInputsStore-Dell6dGw.js","shallow-0VKqkSqN.js","getApiPlaygroundDisplay-CP_ctPEB.js","CodeSnippet-5L35ic0s.js","CodeSnippets-DOXbNhJw.js","getPastedJson-VhzT9m2P.js","icon-CD8_AtCO.js","MethodPill-DGgOMftG.js","DuplicateIcon-DZ6A_EtN.js","createIcon-DUl4oM5f.js","DynamicMarkdown-BGHukeRM.js","SectionHeading-ChrEUs8u.js","axios-vUo_bRtp.js","Markdown-Dj-na-_-.js","dist-C5gjFYHe.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","katex-YMM-FMeD.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js","AssistantPageLink-DEBW87tT.js"]}